Error
A valid request URL is required to generate request examples[
{
"merchant": "<string>",
"main_product_id": "<string>",
"clicks": 123,
"prev_clicks": 123,
"add_to_carts": 123,
"prev_add_to_carts": 123,
"orders": 123,
"prev_orders": 123,
"click_through_rate": 123,
"add_to_cart_rate": 123,
"order_through_rate": 123,
"d_score": 123,
"prev_d_score": 123,
"normalized_d_score": 123,
"normalized_prev_d_score": 123,
"product": {
"main_product_id": "<string>",
"title": "<string>",
"handle": "<string>",
"images": [
{
"id": "<string>",
"url": "<string>",
"width": 123,
"height": 123,
"alt": "<string>"
}
],
"tags": [
"<string>"
],
"price": 123,
"status": "ACTIVE",
"in_stock": true,
"quantity": 123,
"badges": [
{
"type": "on_sale",
"sale_percentage": 123
}
],
"n_sold_current_period": 123,
"n_sold_last_7_days": 123,
"clicks_current_period": 123,
"skus": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"image_url": "<string>",
"selected_options": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
"collections": [
{
"collection_id": "<string>",
"position": 123,
"title": "<string>",
"n_products": 123,
"image_urls": [
"<string>"
],
"product_images": [
"<string>"
]
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Product Funnel Metrics
Get product funnel metrics for a given merchant and date range. Returns metrics including clicks, add to carts, orders, and various rates.
Args: from_date: Start date for current period metrics to_date: End date for current period metrics merchant_id: Merchant ID to get metrics for offset: Number of records to skip (for pagination) order: Sort order for results (DESC or ASC) order_by: Field to sort by (d_score, clicks, add_to_carts, or orders) page_size: Number of records to return per page
GET
/
product-funnel-metrics
/
metrics
Error
A valid request URL is required to generate request examples[
{
"merchant": "<string>",
"main_product_id": "<string>",
"clicks": 123,
"prev_clicks": 123,
"add_to_carts": 123,
"prev_add_to_carts": 123,
"orders": 123,
"prev_orders": 123,
"click_through_rate": 123,
"add_to_cart_rate": 123,
"order_through_rate": 123,
"d_score": 123,
"prev_d_score": 123,
"normalized_d_score": 123,
"normalized_prev_d_score": 123,
"product": {
"main_product_id": "<string>",
"title": "<string>",
"handle": "<string>",
"images": [
{
"id": "<string>",
"url": "<string>",
"width": 123,
"height": 123,
"alt": "<string>"
}
],
"tags": [
"<string>"
],
"price": 123,
"status": "ACTIVE",
"in_stock": true,
"quantity": 123,
"badges": [
{
"type": "on_sale",
"sale_percentage": 123
}
],
"n_sold_current_period": 123,
"n_sold_last_7_days": 123,
"clicks_current_period": 123,
"skus": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"image_url": "<string>",
"selected_options": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
"collections": [
{
"collection_id": "<string>",
"position": 123,
"title": "<string>",
"n_products": 123,
"image_urls": [
"<string>"
],
"product_images": [
"<string>"
]
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Available options:
DESC, ASC Available options:
d_score, clicks, add_to_carts, orders Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

